import Vue from 'vue'
import VueI18n from 'vue-i18n'

import zhHans from './zh-Hans.json' // 中文简体

Vue.use(VueI18n)

// 所需要用的语言包
let messages = {
	'zh-Hans' : zhHans
}

if(!uni.getStorageSync('language') || !messages[uni.getStorageSync('language')]){
	uni.setStorageSync('language', 'zh-Hans')
}

const lang = uni.getStorageSync('language');//获取缓存中的语言
// const lang = 'en';
// VueI18n构造函数所需要的配置
const i18nConfig = {
    locale: lang,//当前语言
    messages
}
const i18n = new VueI18n(i18nConfig)
export default i18n